> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update email of user

> Update the email address associated with a user account.



## OpenAPI

````yaml /swagger/openapi-billing.json post /user/update_email
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /user/update_email:
    post:
      tags:
        - User management
      summary: Update email of user
      description: Update the email address associated with a user account.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEmailIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ok200'
components:
  schemas:
    UpdateEmailIn:
      properties:
        external_id:
          description: Unique public identificator of user, any string
          maxLength: 256
          title: Customer Id
          type: string
        email_address:
          format: email
          maxLength: 100
          minLength: 1
          title: Email Address
          type: string
      required:
        - external_id
        - email_address
      title: UpdateEmailIn
      type: object
    Ok200:
      properties: {}
      title: Ok200
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````